#

include(`dict.h')
include(`KERcalls.h')

/*
 *       SCCS File Type - Emulator Source File
 *
 *       What identification string
 */
static char *_S_K29	"@(#)EM_K29.c	3.1";
	/****************************************************************/
	/*
	 *      K_spawn
	 */


/*
 *      K_spawn (
 *          1   immSeid,  : seid    : long        (* imm SEID     *)
 *          2   arg,      : seg_des : int         (* arg segment  *)
 *          3  &child     : seid    : long        (* child SEID   *)
 *              )
 */

K_spawn( PimmSeid, Parg, PchildP )
	seid    PimmSeid;
	seg_des Parg;
	seid    *PchildP;
{

	K_err_num       ex;

	struct  {       /* Kspawn_param */
			seid            immSeid;        /* const */
			seg_des         arg;    /* const */
			/* vars */
			seid            vchild;
		}pb;

	pb.immSeid = PimmSeid;
	pb.arg   = Parg;

	ex = EMT29(&pb);

	*PchildP  = pb.vchild;

	return(ex);
}

